BaseCorrelationTermStructure< Interpolator2D_T > Class Template Reference

`#include <ql/experimental/credit/basecorrelationstructure.hpp>`

Inheritance diagram for BaseCorrelationTermStructure< Interpolator2D_T >:
[legend]

## Public Member Functions

| BaseCorrelationTermStructure (Natural settlementDays, const Calendar &cal, BusinessDayConvention bdc, const std::vector< Period > &tenors, const std::vector< Real > &lossLevel, const std::vector< std::vector< Handle< Quote > > > &correls, const DayCounter &dc=DayCounter())
Size | correlationSize () const
| The size of the squared correlation.
Real | ImplicitCorrelation (Real, Real)
| Implicit correlation for the given loss interval.
void | checkTrancheTenors () const
void | checkLosses () const
void | initializeTrancheTimes () const
void | checkInputs (Size volRows, Size volsColumns) const
void | registerWithMarketData ()
void | update ()
void | updateMatrix () const
Date | maxDate () const
| the latest date for which the curve can return values
Real | correlation (const Date &d, Real lossLevel, bool extrapolate=false) const
Real | correlation (Time t, Real lossLevel, bool extrapolate=false) const
Public Member Functions inherited from CorrelationTermStructure
BusinessDayConvention | businessDayConvention () const
Date | dateFromTenor (const Period &) const
| period/date conversion
| CorrelationTermStructure (const Calendar &cal, BusinessDayConvention bdc, const DayCounter &dc=DayCounter())
| default constructor More...
| CorrelationTermStructure (const Date &referenceDate, const Calendar &cal, BusinessDayConvention bdc, const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| CorrelationTermStructure (Natural settlementDays, const Calendar &cal, BusinessDayConvention bdc, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
Public Member Functions inherited from TermStructure
| TermStructure (const DayCounter &dc=DayCounter())
| default constructor More...
| TermStructure (const Date &referenceDate, const Calendar &calendar=Calendar(), const DayCounter &dc=DayCounter())
| initialize with a fixed reference date
| TermStructure (Natural settlementDays, const Calendar &, const DayCounter &dc=DayCounter())
| calculate the reference date based on the global evaluation date
virtual DayCounter | dayCounter () const
| the day counter used for date/time conversion
Time | timeFromReference (const Date &date) const
| date/time conversion
virtual Time | maxTime () const
| the latest time for which the curve can return values
virtual const Date & | referenceDate () const
| the date at which discount = 1.0 and/or variance = 0.0
virtual Calendar | calendar () const
| the calendar used for reference and/or option date calculation
virtual Natural | settlementDays () const
| the settlementDays used for reference date calculation
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Extrapolator
void | enableExtrapolation (bool b=true)
| enable extrapolation in subsequent calls
void | disableExtrapolation (bool b=true)
| disable extrapolation in subsequent calls
bool | allowsExtrapolation () const
| tells whether extrapolation is enabled

## Additional Inherited Members

Protected Member Functions inherited from TermStructure
void | checkRange (const Date &d, bool extrapolate) const
| date-range check
void | checkRange (Time t, bool extrapolate) const
| time-range check
Protected Attributes inherited from TermStructure
bool | moving_
bool | updated_
Calendar | calendar_

## Detailed Description

### template<class Interpolator2D_T>
class QuantLib::BaseCorrelationTermStructure< Interpolator2D_T >

Matrix based Base Correlation Term Structure

  Loss level versus time interpolated scalar copula type parametric correlation term structure. Represents the correlation for the credit loss level of a given portfolio at a given loss level and time.

## Member Function Documentation

void update | ( |  | ) |

virtual

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.